<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('enquiries', function (Blueprint $table) {
            $table->id();
            $table->string('first_name');
            $table->string('middle_name')->nullable();
            $table->string('last_name');
            $table->date('dob');
            $table->string('cob');
            $table->string('gender');
            $table->string('email');
            $table->string('phone');
            $table->string('address');
            $table->string('highest_qualification');
            $table->string('stream')->nullable();
            $table->string('gpa');
            $table->string('graduate_year');
            $table->string('gap')->nullable();
            $table->string('current_status')->nullable();
            $table->string('work_experience');
            $table->text('work_experience_details')->nullable();
            $table->string('salary_mode')->nullable();
            $table->string('test_score')->nullable();
            $table->string('marital_status');
            $table->string('married_date')->nullable();
            $table->string('spouse_academics')->nullable();
            $table->string('spouse_work_experience')->nullable();
            $table->string('spouse_salary_mode')->nullable();
            $table->string('immigration_history')->nullable();
            $table->string('desired_study_field')->nullable();
            $table->string('desired_location')->nullable();
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('enquiries');
    }
};
