@extends('admin.layouts.app')
@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <!-- SELECT2 EXAMPLE -->
                <div class="card card-default">
                    <div class="card-header">
                        <h3 class="card-title">Enquiry</h3>
                        <a href="{{url('admin/enquiries')}}" class="btn btn-green back-button active" role="button" aria-pressed="true">List</a>
                    </div>
                    <div class="card-body">
                        @include('success.success')
                        @include('errors.error')
                        <div class="row">
                            <div class="col-md-6">
                            <ul class="contact-info">
                                <h2>Personal Details</h2>
                                <li class="d-flex">
                                    <span>Full Name:</span>
                                    <span>{{$enquiry->first_name . ' ' .(!is_null($enquiry->middle_name) ? $enquiry->middle_name .' ' :''). $enquiry->last_name}}</span>
                                </li>
                                <li class="d-flex">
                                    <span>Date of Birth:</span>
                                    <span>
                                        {{$enquiry->dob}}
                                    </span>
                                </li>
                                <li class="d-flex">
                                    <span>Gender:</span>
                                    <span>{{$enquiry->gender}} </span>
                                </li>
                                <li class="d-flex">
                                    <span>Email:</span>
                                    <span>{{$enquiry->email}}</span>
                                </li>
                                <li class="d-flex">
                                    <span>Phone:</span>
                                    <span>{{$enquiry->phone}}</span>
                                </li>
                                <li class="d-flex">
                                    <span>Address:</span>
                                    <span>{{$enquiry->address}} </span>
                                </li>
                                <li class="d-flex">
                                    <span>Country of Birth:</span>
                                    <span>{{$enquiry->cob}} </span>
                                </li>
                                <li class="d-flex">
                                    <span>Highest Qualification:</span>
                                    <span>{{$enquiry->highest_qualification}}</span>
                                </li>
                                <li class="d-flex">
                                    <span>Stream:</span>
                                    <span>
                                        {{$enquiry->stream}}
                                    </span>
                                </li>
                                <li class="d-flex">
                                    <span>% or GPA:</span>
                                    <span>{{$enquiry->gpa}} </span>
                                </li>
                            </ul>
                            </div>
                            <div class="col-md-6">
                                <ul class="contact-info">
                                    <h2>Additional Details</h2>
                                    <li class="d-flex">
                                        <span>Graduate Year:</span>
                                        <span>{{$enquiry->graduate_year}}</span>
                                    </li>
                                    <li class="d-flex">
                                        <span>Gap after Studies:</span>
                                        <span>{{$enquiry->gap}}</span>
                                    </li>
                                    <li class="d-flex">
                                        <span>Current Status:</span>
                                        <span>{{$enquiry->current_status}} </span>
                                    </li>
                                    <li class="d-flex">
                                        <span>Work Experience Details:</span>
                                        <span>{{$enquiry->work_experience == 'yes' ? 'Yes' : 'No'}} </span>
                                    </li>
                                    @if(!is_null($enquiry->work_experience_details))
                                    <li class="d-flex">
                                        <span>Work Experience:</span>
                                        <span>{{$enquiry->work_experience_details}} </span>
                                    </li>
                                    @endif
                                    @if(!is_null($enquiry->salary_mode))
                                    <li class="d-flex">
                                        <span>Salary Mode:</span>
                                        <span>{{$enquiry->salary_mode}} </span>
                                    </li>
                                    @endif
                                    <li class="d-flex">
                                        <span>Test Score:</span>
                                        <span>{{$enquiry->test_score}} </span>
                                    </li>
                                    <li class="d-flex">
                                        <span>Marital Status:</span>
                                        <span>{{$enquiry->marital_status}} </span>
                                    </li>
                                    @if(!is_null($enquiry->married_date))
                                    <li class="d-flex">
                                        <span>Married Date:</span>
                                        <span>{{$enquiry->married_date}} </span>
                                    </li>
                                    @endif
                                    @if(!is_null($enquiry->spouse_academics))
                                    <li class="d-flex">
                                        <span>Spouse Academics:</span>
                                        <span>{{$enquiry->spouse_academics}} </span>
                                    </li>
                                    @endif
                                    @if(!is_null($enquiry->spouse_work_experience))
                                    <li class="d-flex">
                                        <span>Spouse Work Experience:</span>
                                        <span>{{$enquiry->spouse_work_experience}} </span>
                                    </li>
                                    @endif
                                    @if(!is_null($enquiry->spouse_salary_mode))
                                    <li class="d-flex">
                                        <span>Spouse Salary Mode:</span>
                                        <span>{{$enquiry->spouse_salary_mode}} </span>
                                    </li>
                                    @endif
                                    <li class="d-flex">
                                        <span>Immigration History:</span>
                                        <span>{{$enquiry->immigration_history ?? 'N/A'}} </span>
                                    </li>
                                    <li class="d-flex">
                                        <span>Desired Study Field:</span>
                                        <span>{{$enquiry->desired_study_field ?? 'N/A'}} </span>
                                    </li>
                                    @if(!is_null($enquiry->desired_location))
                                    <li class="d-flex">
                                        <span>Desired Location:</span>
                                        <span>{{config('custom.states')[$enquiry->desired_location]}} </span>
                                    </li>
                                    @endif

                                </ul>
                            </div>
                        </div>

            {!! Form::close() !!}
            </div>
                </div>
            </div>
        </section>
    </div>
@endsection
