@extends('layout.app')
@section('title')
<title>Privacy Policy</title>
    <meta name="description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url('frontend/images/banner.png')}}"/>
    <meta property="og:title" content="ET-Visas"/>
    <meta property="og:description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad."/>
@endsection
@section('content')
    <section class="privacy-policy-section">
        <h1>Privacy Policy</h1>
        <p>At ET Education & Visa Services, we are committed to protecting the privacy and confidentiality of our client’s personal information. This Privacy Policy outlines the types of information we collect, how we use and safeguard this information, and your rights to access and control your information.
            When you provide personal information to ET Education & Visa Services, you are giving your consent to the collection, use, and disclosure of your personal information as per this Privacy Policy and any other agreements between you and ET Education & Visa Services.
            <br><br>
            ET Education & Visa Services reserves the right to modify this Privacy Policy from time to time by publishing the changes on the Website. We recommend that you periodically visit the Website to stay updated with the current Privacy Policy of ET Education & Visa Services.
            If you use the Website after any changes have been made to the Privacy Policy, you will be considered to have given your consent to those changes.
        </p>
        <div class="definition-policy">
            <h2>Definitions</h2>
            In this Privacy Policy:
            <ul>
                <li>"Personal information" means information that can be associated with a specific person and can be used to identify that person and includes your information and the types of information described in this Privacy Policy.</li>
                <li>"Privacy Policy" means this privacy policy (as amended from time to time).</li>
                <li>"ET Education & Visa Services," "we," "us," or "our" means ET Education & Visa Services and its associated entities.</li>
                <li>"Specific Service" means any service, product, or good provided by ET Education & Visa Services, including but not limited to visa and immigration-related services and enrolment or recruitment-related services.</li>
                <li>"Website" means the website provided by ET Education & Visa Services, which allows you to view, order, or otherwise deal with the services, products or goods provided or offered by ET Education & Visa Services.</li>
            </ul>
        </div>
        <div class="personal-policy">
            <h2>Collection of Personal Information</h2>
            We may collect the following types of personal information from our clients:
            <ol>
                <li>Contact information, such as name, email address, phone number, and mailing address.</li>
                <li>Demographic information, such as date of birth, nationality, and gender.</li>
                <li>Educational information, such as academic records, transcripts, and degrees.</li>
                <li>Visa-related information, such as passport number, visa application documents, and travel history.</li>
                <li>Financial information, such as payment details and bank account information.</li>
                <li>Your device ID, device type, geo-location information, computer and connection information, statistics on page views, traffic to and from the sites, ad data, IP address, standard web log information and page interaction information</li>
                <li>Any additional information relating to you that you provide to ET Education & Visa Services directly through the Website or indirectly through your use of the Website or through other websites or accounts from which you permit ET Education & Visa Services to collect information.</li>
                <li>Information you provide to ET Education & Visa Services (or its agents or representatives) through customer surveys.</li>
                <li>Personal information based on your activities on the Website.</li>
                <li>Any other personal information required to facilitate your dealings with ET Education & Visa Services.</li>
                <li>We will only collect sensitive personal information about you if we have your express or implied consent or if the law otherwise permits it. The types of sensitive information that we may collect include:</li>
                <ul>
                    <li>Racial or ethnic origin</li>
                    <li>Political opinions</li>
                    <li>Criminal record</li>
                    <li>Financial situation (including income or remuneration details)</li>
                    <li>Health and medical information relating to your current and previous health status, medical conditions, and dietary requirements (where applicable)</li>
                </ul>
                <li>ET Education & Visa Services may collect personal information when you:</li>
                <ul>
                    <li>Register on or make use of the Website.</li>
                    <li>Request a service, product or good from ET Education & Visa Services</li>
                    <li>Communicate with ET Education & Visa Services through correspondence, chats, email, or when you share information with ET Education & Visa Services from other social applications, services, or websites.</li>
                </ul>
                <li>When you provide your personal information to ET Education & Visa Services to request a service or product from us (or our representatives or agents), your contact details may be retained even if the transaction is not completed.</li>
                <li>ET Education & Visa Services may retain your contact information, even if a transaction still needs to be completed when you provide your personal information to request a service or product from us or our representatives or agents. These details are captured securely.</li>
                If you provide us with sensitive information, we will only retain such information under the following circumstances:
                <ul>
                    <li>You have given consent for us to collect the information directly related to one of our functions, services, or activities.</li>
                    <li>Information collection is required or authorised by Australian law, a court/tribunal order.</li>
                    <li>Information collection is authorised for other purposes allowed under the Privacy Act, such as when we suspect unlawful activity or serious misconduct related to our functions, services, or activities has been, is being, or may be engaged in.</li>
                </ul>
            </ol>
        </div>
        <div class="personal-policy">
            <h2>Use of Personal Information</h2>
            We use the personal information we collect to provide services to our clients, including but not limited to the following:
            <ol>
                <li>To contact you and conduct our business or provide you with services or products requested.</li>
                <li>To allow you to use and access our website.</li>
                <li>To operate, protect, improve, and optimise our website and experiences, such as performing analytics, conducting research, and advertising and marketing.</li>
                <li>To send you administrative, service, and support messages, as well as reminders, updates, and security alerts.</li>
                <li>To send you the information requested by you.</li>
                <li>To prepare and lodge visa applications, university and college applications, and other enrolment applications.</li>
                <li>To provide information to migration agents, educational institutions or bodies, Department of Home Affairs or similar bodies or institutions, where required or permitted by law.</li>
                <li>To send you marketing and promotional messages and other information that may interest you.</li>
                <li>To detect, investigate and prevent potentially unlawful acts or omissions, or acts or omissions with the potential to breach our terms and conditions, this Privacy Policy, or other policies or arrangements between you and us.</li>
                <li>To verify the information for accuracy or completeness (including by way of verification with third parties).</li>
                <li>To comply with our legal obligations, resolve any disputes we may have with any of our customers or you, and enforce our agreements with you or any third parties.</li>
                <li>To manage our relationship with you, including providing you with updates about the services or products that you have requested from us or responding to your enquiries.</li>
                <li>For other purposes directed by you; and purposes authorised under an Australian law or to ensure that we comply with our obligations under European Union Member State law (if relevant)</li>
            </ol>
        </div>

        <div class="personal-policy">
            <h2>Access and Control of Personal Information</h2>
            You may access the personal information we hold about you by contacting us using the information on our website.
            <ol>
                <li>We may need to verify your identity when you request personal information. However, there may be instances where we need help to provide access to all your personal information. We will notify you of any reason why access is denied. Within 30 days of your request, we will make every effort to grant access.</li>
                <li>Clients have the right to access, modify, or delete their personal information by contacting us at the address below. Clients may also withdraw their consent to our collection, use, or disclosure of their personal information at any time, subject to legal or contractual obligations.</li>
            </ol>
        </div>

        <div class="personal-policy">
            <h2>Failure to Provide Personal Information:</h2>
            You are not obliged to give us your personal information. We might be unable to provide you with the requested service if you decide not to give us the necessary personal information.
            Sharing of Personal Information:
            <ol>
                <li>We may disclose personal information for the purposes described in this Privacy Policy to third parties such as the Department of Home Affairs, educational institutions, our employees and related bodies corporate, third-party suppliers and service providers, contractors, professional advisers or consultants, dealers and agents, web hosting providers, IT systems administrators, debt collectors, and payment systems operators.</li>
                <li>We may also disclose your personal information to existing or potential agents, business partners, or sponsors, as well as to government agencies, regulatory bodies, and law enforcement agencies, or as required, authorised or permitted by law.</li>
                <li>We may disclose personal information to third-party businesses located overseas and other countries referred to on our website.</li>
                <li>Where you provide us with your personal information for a specific service, we may be required to provide such personal information to visa/immigration or enrolment/recruitment providers.</li>
                <li>We have limited control over how these providers use, disclose, or store personal information. You should ensure you understand and agree with their privacy practices before providing us your personal information.</li>
                <li>We do not sell or rent personal information to third parties, and we do not disclose personal information for marketing purposes without explicit consent from our clients.</li>
            </ol>
        </div>

        <div class="row personal-policy">
            <div class="col-md-6">
                <h2>Opting Out:</h2>
                <ol>
                    <li>We may send you direct marketing communications and information about our services and products. You may opt out of receiving marketing materials from us by contacting us using the details on our website or clicking the unsubscribe link at the bottom of our emails.</li>
                    <li> We take all reasonable steps to protect your personal information from misuse, loss, unauthorised access, modification, or disclosure. If you have any questions about this policy, please get in touch with us using the information on our website.</li>
                </ol>
            </div>
            <div class="col-md-6">
                <h2>Using our Website and Cookies</h2>
                <ol>
                    <li>ET Education & Visa Services may collect personal information about you.</li>
                    <li>While we do not use browsing information to identify you personally, we may record certain information about your use of the website, such as which pages you visit, the time and date of your visit, and the internet protocol address assigned to your device.</li>
                    <li>We may use "cookies" or similar tracking technologies on the website to track your usage and remember your preferences. Cookies are small files that store information on your device and enable us to recognise you across different websites, services, devices, and/or browsing sessions. If you disable cookies through your internet browser, the website may not work as intended for you.</li>
                    <li>By using our website, you agree to ET Education & Visa Services placing cookies on your device and accessing them when you visit the website in the future.</li>
                </ol>
            </div>
        </div>

        <div class="personal-policy">
        <h2>Links to Third-Party Websites</h2>
            <ol>
                <li>Our website might connect to external links, micro-sites, or analytics tools (like Google) that are not under ET Education & Visa Services' control or ownership. These links are provided solely for your convenience ("Third Party Websites"), and we do not warrant the accuracy or safety of these websites.</li>
                <li>You are responsible for checking the policies and practices of Third-Party Websites before using them.</li>
                <li>You acknowledge and agree that:</li>
                <ul>
                    <li>To the extent permitted by law, ET Education & Visa Services is not liable for any loss, expense, or cost suffered by you as a result of your use of Third-Party Websites.</li>
                    <li>ET Education & Visa Services is not responsible for any Third-Party Website's privacy policies or content.</li>
                </ul>
            </ol>
        </div>

        <div class="row personal-policy">
            <div class="col-md-6">
                <h2>Protection of Personal Information</h2>
                <p>We take reasonable measures to safeguard the personal information we collect from unauthorised access, use, or disclosure. We use physical, electronic, and administrative security measures to protect our client’s information and regularly review and update our security procedures.</p>
            </div>
            <div class="col-md-6">
                <h2>Changes to Privacy Policy</h2>
                <p>We may periodically update this privacy policy to reflect business practices or legal requirements changes. We will notify clients of any material changes to this Policy and obtain their consent where required.</p>
            </div>
        </div>

        <div class="contact-policy">
            <h2>Contact Information</h2>
            <p>If you have any questions or concerns about our Privacy Policy or the collection, use, or disclosure of your personal information, please contact us at:</p>
            <ul>
                <li>ET Education & Visa Services</li>
                <li><a href="https://goo.gl/maps/SFPf7MtojQ7yK9Nc9" target="_blank">Sydney Suite 132 & 133, Level 3, 10 Park Road, Hurstville NSW 2220</a></li>
                <li>Email: <a href="mailto: admin@eteducation.com.au">admin@eteducation.com.au</a></li>
                <li> Phone: <a href="telto: +61 02 9171 7740">+61 02 9171 7740</a></li>
            </ul>
        </div>
    </section>
@endsection
